((* from 'utils' import companypage *))
((* macro companywithad(company, logo_missing, date, day) -*))
((* if 'has_ad' in company and company.has_ad *))
\fillodd
((( companypage(company, logo_missing, date, day) )))
\fullpagead{((( company['ad'] if 'ad' in company else ad_missing )))}
((* else *))
((( companypage(company, logo_missing, date, day) )))
((* endif *))
((*- endmacro *))
\documentclass[kontakt]{amivbooklet}

((* if print *))
\usepackage[a4, cam, center]{crop}
((* endif *))

\newcounter{FillerNum}
\setcounter{FillerNum}{0}

\makeatletter
\newcommand*{\fillodd}{%
    \nextpage
    \checkoddpage
    \ifoddpage
    \thispagestyle{empty}
    \ifnum\theFillerNum=((( filler_number ))) \setcounter{FillerNum}{0}\fi
    \fullpagead{((( filler_base )))\theFillerNum.jpg}
    \stepcounter{FillerNum}
    \fi
}
\makeatother


\begin{document}

\title{((( title|upper ))) \\FAIR GUIDE}
\titleimage{((( title_image )))}
\date{((( first_day ))). \& ((( second_day ))).%
    ((( month ))).((( year ))), ((( start )))--((( end )))}
\location{CLA \& LEE}

\maketitle
% Deactivate twocolumn mode for table of contents and CI info
\onecolumn

\null\vfill
AMIV ((( title ))) Fair Guide\\
((( copies ))) copies
\medbreak
AMIV Corporate Identity by\\
Joël Béla Bourgeois\\
and Léonard Ziegler\\
adjusted and implemented by\\
Alexander Dietmüller

\nextpage

\renewcommand{\contentsname}{Inhalt\langsep Contents}
\tableofcontents
% Activate twocolumn mode again
\twocolumn



% 2019: only german texts. Adjusted images to work with new side-to-side layout
\section[Einleitung\langsep Introduction]{%
  Willkommen an der ((( title )))\langsep Welcome to ((( title )))}

% 2019: No german intro anymore
%((( president_welcome_de )))
%\sign{((( president )))}{Präsidentin ((( title )))}

%\nextpage

\begin{english}
    \image[\textbf{((( president )))}\\{President ((( title )))}]{((( president_image )))}
    \bigbreak
    ((( president_welcome_en )))
\end{english}

%\nextevenpage
\nextpage  % president and rector next to each other.



\section*{Grusswort der Rektorin\langsep Greetings from the Rector}

% 2019: No german intro anymore
%((( rector_welcome_de )))
%\sign{((( rector )))}{Rektorin der ETH Zürich}
%\nextpage

\begin{english}
    ((( rector_welcome_en )))
    \bigbreak
    \textbf{((( rector )))}\\{Rector of ETH Zurich}  % Caption before image
    \image{((( rector_image )))}
    \vspace{-0.5\columnsep} % Remove spacing, as text ends with image
\end{english}


\nextevenpage



\section{Standplan\langsep Booth Plan}
\makebox[\textwidth][c]{
    \includegraphics[width=\textwidth, height=\textheight,
        keepaspectratio]{((( booth_layout )))}
}
\nextpage

% Put booth table inside a minipage so we can move it to the same level as
% sections (as it takes too much space to start where text normally would)
\begin{minipage}[\textheight]{\textwidth}
    \vspace{-15mm}
    \begin{minipage}[t]{0.48\textwidth}
        \begin{companytable}{((( first_weekday_de )))\minilangsep
                ((( first_weekday_en )))}
            ((* for company_booth
            in companies|day("first")|extract_booths("first")|sort(attribute="booth_index") *))
            \entry{((( company_booth.location )))}{((( company_booth.company_name|t )))}
            ((* endfor *))
        \end{companytable}
    \end{minipage}\hfill
    \begin{minipage}[t]{0.48\textwidth}
        \begin{companytable}{((( second_weekday_de )))\minilangsep
                ((( second_weekday_en )))}
            ((* for company_booth
            in companies|day("second")|extract_booths("second")|sort(attribute="booth_index") *))
            \entry{((( company_booth.location )))}{((( company_booth.company_name|t )))}
            ((* endfor *))
        \end{companytable}
    \end{minipage}
\end{minipage}




\section{Rahmenprogramm\langsep Support Program}

Most support program events will be in English this year.

Event registration and more information
can be found at \href{www.amiv.ch/anmeldung}{www.amiv.ch/anmeldung}.

\onecolumn
\bigbreak

((* for title, date, time, room, description in support_program -*))
\begin{supportevent}{((( title )))}{((( date ))), ((( time ))), ((( room )))}
    ((( description )))
\end{supportevent}
\vspace{5mm}
((*- endfor *))
\twocolumn

% 2019: Only english texts
\iffalse
    \nextevenpage
    \companypage{CV-CHECK}{((( cv_check_company.logo if 'logo' in cv_check_company else logo_missing )))}{%
        \textbf{((( cv_check_room )))\\
            ((( first_day ))). \& ((( second_day ))).((( month ))).((( year ))),
            ((( start )))--((( end )))\\
            Gratis, ohne Anmeldung}\\
        \smallbreak
        ((( cv_check_intro_de )))
    }{%
        \begin{multicols}{2}[\subsection*{CV-Check}]
            ((( cv_check_description_de )))
        \end{multicols}
        \begin{multicols}{2}[\subsection*{Bewerbungsfotos}]
            ((( cv_foto_de )))
        \end{multicols}
    }{}
\fi

\companypage{CV-CHECK}{((( cv_check_company.logo if 'logo' in cv_check_company else logo_missing )))}{%
\textbf{((( cv_check_room )))\\
    ((( first_day ))). \& ((( second_day ))).((( month ))).((( year ))),
    ((( start )))--((( end )))\\
    Free, no registration}\\
\smallbreak
((( cv_check_intro_en )))
}{%
\begin{multicols}{2}[\subsection*{CV-Check}]
    ((( cv_check_description_en )))
\end{multicols}
\begin{multicols}{2}[\subsection*{Application Photos}]
    ((( cv_foto_en )))
\end{multicols}
}{}

% Addtional company pages for cv check company and career center
((( companypage(cv_check_company, logo_missing) )))
((( companypage(career_center, logo_missing) )))




\nextevenpage
\section{((( first_weekday_de )))\langsep ((( first_weekday_en)))}

\fullwidthimage{((( tuesday_left )))}
\nextpage
\fullwidthimage{((( tuesday_right )))}

\end{multicols}
\vfill
\textbf{\hfill\Large((( first_day ))).((( month ))).((( year )))\bigbreak
    \hfill((( start )))--((( end )))}
\vfill
\nextpage

((* for company in
companies|day("first")|selectattr("fairguide_ready") *))
((( companywithad(company, logo_missing, first_day + '.' + month + '.', "first") )))
((* endfor *))

\fillodd
\section{((( second_weekday_de )))\langsep ((( second_weekday_en )))}

\fullwidthimage{((( wednesday_left )))}
\nextpage
\fullwidthimage{((( wednesday_right )))}

\end{multicols}
\vfill
\textbf{\hfill\Large((( second_day ))).((( month ))).((( year )))\bigbreak
    \hfill((( start )))--((( end )))}
\vfill
\nextpage

((* for company in
companies|day("second")|selectattr("fairguide_ready") *))
((( companywithad(company, logo_missing, second_day + '.' + month + '.', "second") )))
((* endfor *))


\fillodd

((* if note_page_number *))

\section{Notizen\langsep Notes}
\onecolumn

((* for _ in range(note_page_number) *))
\notepage
\nextpage
((* endfor *))

% Add additional note page to start on even page
\makeatletter
\ifodd\c@page \notepage\nextpage\fi
\makeatother
\twocolumn

((* endif *))

\section{Organisationskomittee\langsep Executive Board}


\fullwidthimage{((( team_image )))}
Möchtest du die nächste Kontakt mitorganisieren?
\smallbreak
Schreib uns unter \href{mailto:\kontaktemail}{\kontaktemail}
\bigbreak
Oder willst du den AMIV im Bereich Exkursionen, Sponsoring
oder Firmenkontakte allgemein unterstützen?
\smallbreak
Schreib uns unter \href{mailto:\eremail}{\eremail}

\vfill\null\columnbreak

Are you interested in joining the Kontakt executive board?
\smallbreak
Write us at \href{mailto:\kontaktemail}{\kontaktemail}.
\bigbreak
Or would you like to support AMIV at excursions, sponsoring
or company relations in general?
\smallbreak
Write us at \href{mailto:\eremail}{\eremail}.

\vfill\null
\nextpage
\onecolumn

\begin{multicols}{3}
    ((* for name, image, position in kontakt_team *))
    ((* if image *))
    \boardmember{((( image )))}{((( name )))}{((( position )))}
    ((* else *))
    \boardmembername{((( name )))}{((( position )))}
    ((* endif *))
    ((* endfor *))

    % Put Rest of names on a minipage to avoid a new page
    \subsubsection*{AMIV ER Team}
    \begin{minipage}{\linewidth}
        \smallbreak
        \small
        ((( er_team|join('\\\\') )))
    \end{minipage}
\end{multicols}


\nextpage
\makelastpage{((( back_image )))}

\end{document}
